Product Hunt product customers
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-products-customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "notion",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-products-customers"
payload = {
"product": "notion",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: 'notion', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-products-customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_products_customers",
"product": "notion",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — product customers\n\n- **Product:** notion\n- **Results:** 2 of 482 found\n- **Proxy traffic:** 437.2 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "302272",
"name": "Screen Studio",
"url": "https://www.producthunt.com/products/screen-studio",
"alias": "screen-studio",
"product_id": "504757",
"tagline": "Beautiful screen recordings in minutes",
"rating": 4.89,
"review_count": 189,
"post_count": null,
"image": "https://ph-files.imgix.net/afa0f22b-c19b-4e7e-822f-3b82c9032f69.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Screenshots and screen recording apps",
"slug": "screenshots-and-screen-recording",
"url": "https://www.producthunt.com/categories/screenshots-and-screen-recording"
},
{
"name": "Product demo",
"slug": "product-demo",
"url": "https://www.producthunt.com/categories/product-demo"
}
],
"is_no_longer_online": false,
"review_id": "302272",
"customer_product": {
"id": "screen-studio",
"name": "Screen Studio",
"url": "https://www.producthunt.com/products/screen-studio",
"alias": "screen-studio",
"product_id": "504757",
"tagline": "Beautiful screen recordings in minutes",
"rating": 4.89,
"review_count": 189,
"post_count": null,
"image": "https://ph-files.imgix.net/afa0f22b-c19b-4e7e-822f-3b82c9032f69.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Screenshots and screen recording apps",
"slug": "screenshots-and-screen-recording",
"url": "https://www.producthunt.com/categories/screenshots-and-screen-recording"
},
{
"name": "Product demo",
"slug": "product-demo",
"url": "https://www.producthunt.com/categories/product-demo"
}
],
"is_no_longer_online": false
},
"note": "We organize our recording scripts and content ideas here.",
"user": {
"id": "pie6k",
"name": "Adam Pietrasiak",
"username": "pie6k",
"url": "https://www.producthunt.com/@pie6k",
"headline": null,
"image": "https://ph-avatars.imgix.net/2298303/1db319b1-6203-4140-bee9-749badc3edcd.jpeg"
},
"created_at": null
},
"items": [
{
"id": "302272",
"name": "Screen Studio",
"url": "https://www.producthunt.com/products/screen-studio",
"alias": "screen-studio",
"product_id": "504757",
"tagline": "Beautiful screen recordings in minutes",
"rating": 4.89,
"review_count": 189,
"post_count": null,
"image": "https://ph-files.imgix.net/afa0f22b-c19b-4e7e-822f-3b82c9032f69.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Screenshots and screen recording apps",
"slug": "screenshots-and-screen-recording",
"url": "https://www.producthunt.com/categories/screenshots-and-screen-recording"
},
{
"name": "Product demo",
"slug": "product-demo",
"url": "https://www.producthunt.com/categories/product-demo"
}
],
"is_no_longer_online": false,
"review_id": "302272",
"customer_product": {
"id": "screen-studio",
"name": "Screen Studio",
"url": "https://www.producthunt.com/products/screen-studio",
"alias": "screen-studio",
"product_id": "504757",
"tagline": "Beautiful screen recordings in minutes",
"rating": 4.89,
"review_count": 189,
"post_count": null,
"image": "https://ph-files.imgix.net/afa0f22b-c19b-4e7e-822f-3b82c9032f69.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Screenshots and screen recording apps",
"slug": "screenshots-and-screen-recording",
"url": "https://www.producthunt.com/categories/screenshots-and-screen-recording"
},
{
"name": "Product demo",
"slug": "product-demo",
"url": "https://www.producthunt.com/categories/product-demo"
}
],
"is_no_longer_online": false
},
"note": "We organize our recording scripts and content ideas here.",
"user": {
"id": "pie6k",
"name": "Adam Pietrasiak",
"username": "pie6k",
"url": "https://www.producthunt.com/@pie6k",
"headline": null,
"image": "https://ph-avatars.imgix.net/2298303/1db319b1-6203-4140-bee9-749badc3edcd.jpeg"
},
"created_at": null
},
{
"id": "262367",
"name": "Icons8",
"url": "https://www.producthunt.com/products/icons8",
"alias": "icons8",
"product_id": "109801",
"tagline": "Icons, illustrations, photos, music & design tools",
"rating": 4.77,
"review_count": 13,
"post_count": null,
"image": "https://ph-files.imgix.net/4f3b7279-9365-4ece-a4fc-4da5b0c9f459.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "AI Generative Media",
"slug": "ai-generative-media",
"url": "https://www.producthunt.com/categories/ai-generative-media"
},
{
"name": "Design resources",
"slug": "design-resources",
"url": "https://www.producthunt.com/categories/design-resources"
},
{
"name": "Icon sets",
"slug": "icon-sets",
"url": "https://www.producthunt.com/categories/icon-sets"
}
],
"is_no_longer_online": false,
"review_id": "262367",
"customer_product": {
"id": "icons8",
"name": "Icons8",
"url": "https://www.producthunt.com/products/icons8",
"alias": "icons8",
"product_id": "109801",
"tagline": "Icons, illustrations, photos, music & design tools",
"rating": 4.77,
"review_count": 13,
"post_count": null,
"image": "https://ph-files.imgix.net/4f3b7279-9365-4ece-a4fc-4da5b0c9f459.png?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "AI Generative Media",
"slug": "ai-generative-media",
"url": "https://www.producthunt.com/categories/ai-generative-media"
},
{
"name": "Design resources",
"slug": "design-resources",
"url": "https://www.producthunt.com/categories/design-resources"
},
{
"name": "Icon sets",
"slug": "icon-sets",
"url": "https://www.producthunt.com/categories/icon-sets"
}
],
"is_no_longer_online": false
},
"note": "We use Notion as our knowledge base. It’s awesome for organizing notes, thoughts, and teams.",
"user": {
"id": "visualpharm",
"name": "Ivan Braun",
"username": "visualpharm",
"url": "https://www.producthunt.com/@visualpharm",
"headline": null,
"image": "https://ph-avatars.imgix.net/85506/e5056276-90f3-4e1a-b6a2-8008b60738a7.jpeg"
},
"created_at": null
}
],
"total_found": 482,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 447685
},
"total_points": 2
}Startup & Funding Data
Product Hunt product customers
Customers of a Product Hunt product (products whose makers say they use it) with the shoutout note. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-products-customers
Product Hunt product customers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.